查询计费用量记录

分页查询账户的计费用量、采用的价格和折扣后费用。

GET https://billing.moi.matrixorigin.cn/api/v1/billing/accounts/$ACCOUNT_ID/usage-records

调用前准备

  1. 准备计费账户所属用户的有效个人访问令牌。

  2. 调用查询当前账户接口,获取目标账户的 ID。

请求参数

将示例中的 $ACCOUNT_ID、$MOI_PERSONAL_ACCESS_TOKEN 替换为实际值。

curl -X GET \
  "https://billing.moi.matrixorigin.cn/api/v1/billing/accounts/$ACCOUNT_ID/usage-records?page_size=2" \
  -H "X-API-Key: $MOI_PERSONAL_ACCESS_TOKEN"

参数

类型

是否必填

说明

accountID

string

是

目标账户的 ID,取自“查询当前账户”响应中的 items[].billing_account_id。

查询参数

多个计量项或计费项代码用逗号分隔。查询返回匹配任一所选计量项、计费项或 billing_scenario 的记录。

时间参数使用 RFC 3339 格式或有效的 YYYY-MM-DD 日期。不要使用 10 位 Unix 秒时间戳,否则会返回 HTTP 400。

参数

类型

是否必填

说明

from

string

否

查询开始时间。使用 RFC 3339 格式或有效的 YYYY-MM-DD 日期。传入 10 位 Unix 秒时间戳时返回 HTTP 400。

to

string

否

查询结束时间。使用 RFC 3339 格式或有效的 YYYY-MM-DD 日期。传入 10 位 Unix 秒时间戳时返回 HTTP 400。

timezone

string

否

解析日期值的 IANA 时区。省略时使用 UTC。

period

string

否

按入账账期筛选,格式为 YYYY-MM。

meter_code

string

否

计量项代码,多个值用逗号分隔。返回匹配此参数、billing_item_code 或计费场景中任一条件的记录。

billing_item_code

string

否

计费项代码,多个值用逗号分隔。转换为计量项后,与 meter_code 或计费场景中任一条件匹配。

workspace_id

string

否

按用量事件所属工作区筛选。

status

string

否

按用量记录状态筛选。查询已扣费记录时使用 charged。省略时不按状态筛选。

subject_type

string

否

按账户所属主体的类型筛选。

subject_id

string

否

按账户所属主体的 ID 筛选。

q

string

否

搜索计费用量记录 ID、用量事件 ID、计量项代码或事件键,不区分大小写。

search

string

否

q 的别名。仅在 q 为空时生效。

page_size

integer

否

每页数量,1–100。省略、非正数或大于 100 时使用 50。

page_token

string

否

下一页标记。首次请求省略。后续使用响应的 next_page_token。

billing_scenario

string

否

计费场景。

成功响应

{
  "items": [
    {
      "rated_usage_record_id": "rated_record_example",
      "usage_event_id": "usage_event_example",
      "billing_account_id": "billing_account_example",
      "billing_account_owner_id": "owner_example",
      "billing_account_display_name": "Example account",
      "meter_code": "meter_example",
      "billing_item_code": "meter_example",
      "billing_item_display_name": "Example usage",
      "unit": "token",
      "price_item_id": "price_example",
      "price_dimension_key": "dimension_example",
      "price_snapshot_json": "{}",
      "quantity": "1000",
      "unit_price_credit": "0.001000000000",
      "gross_credit": "1.000000000000",
      "discount_credit": "0.100000000000",
      "net_credit": "0.900000000000",
      "period": "2026-09",
      "source_period": "2026-09",
      "posting_period": "2026-09",
      "status": "charged",
      "source_request_ids": [
        "request_example"
      ],
      "source_request_count": 1,
      "source_period_start": "2026-09-01T00:00:00Z",
      "source_period_end": "2026-09-01T00:10:00Z",
      "created_at": 1788739200
    }
  ],
  "total": 1,
  "next_page_token": ""
}

字段

类型

说明

items

array of object

本次返回的记录。

items[].rated_usage_record_id

string

计费用量记录 ID。

items[].usage_event_id

string

来源用量事件 ID。

items[].billing_account_id

string

计费账户 ID。

items[].billing_account_owner_id

string

账户所属主体的 ID。

items[].billing_account_display_name

string

账户显示名称。

items[].reservation_id

string

关联的 Credit 预留 ID,存在时返回。

items[].meter_code

string

计量项代码。

items[].billing_item_code

string

计费项代码。

items[].billing_item_display_name

string

计费项显示名称。

items[].unit

string

用量计量单位。

items[].price_item_id

string

计费采用的价格项 ID。

items[].price_dimension_key

string

价格维度标识。

items[].price_snapshot_json

string

计费时的价格快照,以 JSON 字符串返回。

items[].quantity

string

用量,使用对应计费项的计量单位。

items[].unit_price_credit

string

每计量单位的 Credit 单价。

items[].gross_credit

string

折扣前费用,单位为 Credit。

items[].discount_credit

string

折扣抵扣,单位为 Credit。

items[].net_credit

string

折扣后费用,单位为 Credit。

items[].period

string

用量账期,格式为 YYYY-MM

items[].source_period

string

用量来源账期。

items[].posting_period

string

入账账期。

items[].status

string

计费用量记录状态。

items[].source_request_ids

array of string

来源请求 ID。

items[].source_request_count

integer

来源请求数。

items[].source_period_start

string

来源用量时间范围起点。

items[].source_period_end

string

来源用量时间范围终点。

items[].billing_scenario

string

计费场景。

items[].service_slot

string

服务槽位。

items[].created_at

integer

创建时间,Unix 秒。

total

integer

符合筛选条件的总记录数。

next_page_token

string

下一页标记。空字符串表示没有下一页。

错误响应

缺少认证信息时返回 HTTP 401。在请求头中提供有效的个人访问令牌。

{
  "code": "unauthenticated",
  "message": "missing bearer token",
  "error": "missing bearer token"
}

字段

类型

说明

code

string

错误代码。

message

string

错误说明。

error

string

错误说明,内容与 message 相同。

选择入账账期

选择一条计费用量记录,保存其 billing_account_id 和 posting_period,用于查询月账单用量明细。

最后更新于